%{?nodejs_find_provides_and_requires}

%global packagename compare-func
%global enable_tests 1

Name:		nodejs-compare-func
Version:	1.3.2
Release:	1%{?dist}
Summary:	Get a compare function for array to sort

License:	MIT
URL:		https://github.com/stevemao/compare-func
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/stevemao/compare-func/v%{version}/test.js
Source2:	LICENSE-MIT


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(array-ify)
BuildRequires:	npm(dot-prop)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Get a compare function for array to sort


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%nodejs_fixdep dot-prop

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-1
- Initial packaging
